<?php /*

**************************************************************************
Plugin Name: Flickr Slideshow
Plugin URI: http://www.fireforeffect.net/wordpress/flickr-slideshow-plugin
Description: Flickr slideshow helps users to quickly embed Flickr slideshows in to their posts and pages.
Author: Shaun Choo
Version: 0.2
Author URI: http://www.fireforeffect.net/

**************************************************************************

Thank you: 	Deanna Schneider (http://deannaschneider.wordpress.com/)
			for her RSS plugin which I ripped apart to create Flickr Slideshow.

			Mark James (http://www.famfamfam.com/) for his awesome "Silk"
			icons pack which supplied the UI icon for this plugin.

**************************************************************************

Copyright 2009 Shaun Choo

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************

This plugin is free to use. However, I do appreciate donations from those
of you who enjoy using Flickr Slideshow.

If you intend to on-sell this plugin as a component of paid work then make
sure you write to me so we can work out what my cut is, you are profiting
from my hard work after all :>

Hope you enjoy using Flickr Slideshow! Cheers!

***************************************************************************/

class flickrSlideshow {

	function flickrSlideshow() {
		global $wp_version;
		// The current version
		define('flickrSlideshow_VERSION', '0.2');

		// Check for WP2.8 installation
		if (!defined ('IS_WP28'))
			define('IS_WP28', version_compare($wp_version, '2.8', '>=') );

		//This works only in WP2.8 or higher
		if ( IS_WP28 == FALSE) {
			add_action('admin_notices', create_function('', 'echo \'<div id="message" class="error fade"><p><strong>' . __('Sorry, Flickr Slideshow requires WordPress 2.8 or higher',"flickrSlideshow") . '</strong></p></div>\';'));
			return;
		}

		// define URL
		define('flickrSlideshow_ABSPATH', WP_PLUGIN_DIR.'/'.plugin_basename( dirname(__FILE__) ).'/' );
		define('flickrSlideshow_URLPATH', WP_PLUGIN_URL.'/'.plugin_basename( dirname(__FILE__) ).'/' );

		include_once (dirname (__FILE__)."/lib/shortcodes.php");
		include_once (dirname (__FILE__)."/tinymce/tinymce.php");

	}

}
// Start this plugin once all other plugins are fully loaded
add_action( 'plugins_loaded', create_function( '', 'global $flickrSlideshow; $flickrSlideshow = new flickrSlideshow();' ) );

?>