<?php

/*
+----------------------------------------------------------------+
+	flickrSlideshow-tinymce v0.2
+	by Shaun Choo
+   required for flickrSlideshow and WordPress 2.8
+----------------------------------------------------------------+
*/

// look up for the path
require_once( dirname( dirname(__FILE__) ) .'/flickrSlideshow-config.php');

global $wpdb;

// check for rights
if ( !is_user_logged_in() || !current_user_can('edit_posts') )
	wp_die(__("You are not allowed to be here"));





?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Flickr Slideshow</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript">
	function init() {
		tinyMCEPopup.resizeToInnerSize();
	}

	function insertflickrSlideshowLink() {

		// Define the tagtext variable
		var tagtext;

		// Start the Flickr Slideshow shortcode
		tagtext = "[flickrslideshow ";
		
		// Define the setID variable
		var setID = document.getElementById('setID_panel');
		
		// Define the closeMCE variable to kill the script if someone doesn't fill the form out
		var closeMCE = 1;

		// Are we looking at the Add Flickr slideshow tab? Of course we are, there's only one tab!
		if (setID.className.indexOf('current') != -1) {
			// Define the variables for the slideshow
			var acctname = document.getElementById('acctnametag').value;
			var flickrid = document.getElementById('flickrtag').value;
			var width = document.getElementById('widthtag').value;
			var height = document.getElementById('heighttag').value;
			var borderwidth = document.getElementById('borderwidthtag').value;
			var borderstyle = document.getElementById('borderstyletag').value;
			var bordercolor = document.getElementById('bordercolortag').value;
			var backgroundcolor = document.getElementById('backgroundcolortag').value;
			var margin = document.getElementById('margintag').value;
			var padding = document.getElementById('paddingtag').value;

			// If acct_name is not null then append the acct_name attribute to the shortcode string
			if (acctname != '' ) {
				tagtext = tagtext + " acct_name=\"" + acctname + "\"";
				closeMCE = 0;
			}

			// If Flickr ID is not null then append the flickrid attribute to the shortcode string
			if (flickrid != '' ) {
				tagtext = tagtext + " id=\"" + flickrid + "\"";
				closeMCE = 0;
			}

			// If width is not null then append the width attribute to the shortcode string
			if (width != '' ) {
				tagtext = tagtext + " width=\"" + width + "\"";
				closeMCE = 0;
			}

			// If height is not null then append the height attribute to the shortcode string
			if (height != '' ) {
				tagtext = tagtext + " height=\"" + height + "\"";
				closeMCE = 0;
			}

			// If border_width is not null then append the border_width attribute to the shortcode string
			if (borderwidth != '' ) {
				tagtext = tagtext + " border_width=\"" + borderwidth + "\"";
				closeMCE = 0;
			}

			// If border_style is not null then append the border_width attribute to the shortcode string
			if (borderstyle != '' ) {
				tagtext = tagtext + " border_style=\"" + borderstyle + "\"";
				closeMCE = 0;
			}

			// If bg_color is not null then append the bg_color attribute to the shortcode string
			if (bordercolor != '' ) {
				tagtext = tagtext + " border_color=\"" + bordercolor + "\"";
				closeMCE = 0;
			}

			// If bg_color is not null then append the bg_color attribute to the shortcode string
			if (backgroundcolor != '' ) {
				tagtext = tagtext + " bg_color=\"" + backgroundcolor + "\"";
				closeMCE = 0;
			}

			// If bg_color is not null then append the bg_color attribute to the shortcode string
			if (margin != '' ) {
				tagtext = tagtext + " margin=\"" + margin + "\"";
				closeMCE = 0;
			}

			// If bg_color is not null then append the bg_color attribute to the shortcode string
			if (padding != '' ) {
				tagtext = tagtext + " padding=\"" + padding + "\"";
				closeMCE = 0;
			}

		}
		
		//If the form is empty then don't do anything and close the pop up
		if (closeMCE == 1) {

			tinyMCEPopup.close();
			
		}

		// Close the shortcode when all attributes have been appended to the shortcode string
		tagtext = tagtext + "]";

		if(window.tinyMCE) {
			window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);			
			window.tinyMCEPopup.close();
			//Peforms a clean up of the current editor HTML.
			//tinyMCEPopup.editor.execCommand('mceCleanup');
			//Repaints the editor. Sometimes the browser has graphic glitches.
			//window.tinyMCE.activeEditor.repaint();
		};

		return tagtext;
		
	}	
	</script>
	<base target="_self" />    
    
    <style type="text/css">
		.panel_wrapper {height:755px!important;}
		.required_message {border:1px solid #D01F3C;background:#E9B6BE;padding:5px;margin-bottom:5px;font-weight:bold;text-align:center;}
		p {font-size:10px;}		
		.grey_message{background-color:#eeeeee;color:#666666;border:1px solid #cccccc;padding:5px;}
		.separator {border-bottom:1px solid #eeeeee;padding-bottom:10px;}
	</style>
    
    <!--[if lt IE 7]>		
        <style type="text/css">
        	.panel_wrapper {height:765px!important;}
            p {margin:0!important;}
            table {margin:10px 0!important;}
        </style>        
	<![endif]-->
    <!--[if IE 7]>
		<style type="text/css">
        	.panel_wrapper {height:765px!important;}
            p {margin:0 0 10px 0!important;}
            table {margin:10px 0!important;}
        </style>
	<![endif]-->
    
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';document.getElementById('flickrtag').focus();" style="display: none">
<!-- <form onsubmit="insertLink();return false;" action="#"> -->
	<form name="flickrSlideshow" action="#">
	<div class="tabs">
		<ul>
			<li id="flickr_tab" class="current">
            	<span>
                	<a href="javascript:mcTabs.displayTab('flickr_tab','setID_panel');" onmousedown="return false;">
						<?php _e("Add Flickr slideshow", 'flickrSlideshow'); ?>
                    </a>
                </span>
            </li>
		</ul>
	</div>

	<div class="panel_wrapper">

		<!-- setID panel -->
		<div id="setID_panel" class="panel current">

		<p class="required_message">
        	Required settings	            
        </p>
        
		<!-- Flickr account name -->
		<table border="0" cellpadding="0" cellspacing="0" style="margin-top:10px;">
			<tr>

				<td nowrap="nowrap"><label for="acctnametag"><u><?php _e("Your Flickr account name", 'flickrSlideshow'); ?></u></label></td>

				<td style="padding-left:10px;"><input type="text" id="acctnametag" name="acctnametag" style="width: 215px" /></td>

			</tr>

		</table>

		<p>
			<strong>Example:</strong>
		</p>
		<p class="grey_message">
			http://www.flickr.com/photos/<strong>fireforeffect</strong>/sets/
		</p>
		<p class="separator">
			<strong>Bolded</strong> text is your Flickr account name
        </p>

        <!-- Flickr photo set ID -->
		<table border="0" cellpadding="0" cellspacing="0">
            <tr>

            	<td nowrap="nowrap"><label for="flickrtag"><u><?php _e("Flickr photo set ID", 'flickrSlideshow'); ?></u></label></td>

           		<td style="padding-left:10px;"><input type="text" id="flickrtag" name="flickrtag" style="width: 250px" /></td>

            </tr>

        </table>

        <p>
        	<strong>Example:</strong>
		</p>
		<p class="grey_message">
        	http://www.flickr.com/&hellip;/<strong>72157616365842818</strong>/
		</p>
		<p>
        	<strong>Bolded</strong> text is the Flickr photo set ID
        </p>

        <div class="mceActionPanel">
            <div style="float: left">
                <input style="font-size:10px;" type="button" id="cancel" name="cancel" value="<?php _e("Cancel", 'flickrSlideshow'); ?>" onclick="tinyMCEPopup.close();" />
            </div>

            <div style="float: right">
                <input style="font-size:10px;" type="submit" id="insert" name="insert" value="<?php _e("Add slideshow", 'flickrSlideshow'); ?>" onclick="insertflickrSlideshowLink();" />
            </div>

            <div style="clear:both;"></div>
		</div>

        <div style="background:#666666;padding:5px;color:#eeeeee;font-weight:bold;text-align:center;margin:10px 0 0 0;">
        	Optional settings
        </div>

        <!-- Slideshow dimensions -->
        <div style="border:1px solid #666666;padding:5px;">

        	<p style="border:1px solid #e6db55;background:#ffffcc;padding:5px;text-align:center;font-weight:bold;font-size:10px;">
            	Empty values for optional settings will be automatically replaced with plugin defaults when post is published.
            </p>

            <p style="font-size:10px;margin:0 0 10px 0;">
                <strong>Slideshow dimensions</strong>
            </p>


            <table border="0" cellpadding="0" cellspacing="0">

                <!-- Slideshow width -->
                <tr>

                    <td nowrap="nowrap"><label for="widthtag"><?php _e("Width", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="widthtag" name="widthtag" style="width: 50px" >&nbsp;px</td>

                </tr>

                <!-- Slideshow height -->
                <tr>

                    <td nowrap="nowrap"><label for="heighttag"><?php _e("Height", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="heighttag" name="heighttag" style="width: 50px" />&nbsp;px</td>

                </tr>

            </table>

            <!-- Slideshow height and width defaults -->
            <p style="font-size: 10px;background-color:#eeeeee;color:#666666;border:1px solid #cccccc;padding:5px;">
                Default slideshow dimensions are <strong>512x384</strong> px
            </p>

            <!-- Slideshow border properties -->
            <p style="font-size:10px;margin:0 0 10px 0;">
                <strong>Slideshow border properties</strong>
            </p>


            <table border="0" cellpadding="0" cellspacing="0">

            	<!-- Slideshow border width -->
                <tr>

                    <td nowrap="nowrap"><label for="borderwidthtag"><?php _e("Border width", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="borderwidthtag" name="borderwidthtag" style="width: 30px" >&nbsp;px</td>

                </tr>

                <!-- Slideshow border style -->
                <tr>

                    <td nowrap="nowrap"><label for="borderstyletag"><?php _e("Border style", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="borderstyletag" name="borderstyletag" style="width: 50px" > (eg. solid, dotted, etc.)</td>

                </tr>

                <!-- Slideshow border color -->
                <tr>

                    <td nowrap="nowrap"><label for="bordercolortag"><?php _e("Border color", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="bordercolortag" name="bordercolortag" style="width: 50px" > (eg. #cccccc)</td>

                </tr>

            </table>

            <!-- Slideshow border defaults -->
            <p style="font-size: 10px;background-color:#eeeeee;color:#666666;border:1px solid #cccccc;padding:5px;">
                Default slideshow border properties are <strong>1px solid #cccccc</strong>
            </p>

            <!-- Slideshow containing DIV properties -->
            <p style="font-size:10px;margin:0 0 10px 0;">
                <strong>Slideshow containing DIV properties</strong>
            </p>


            <table border="0" cellpadding="0" cellspacing="0">

            	<!-- Slideshow padding -->
                <tr>

                    <td nowrap="nowrap"><label for="paddingtag"><?php _e("Container padding", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="paddingtag" name="paddingtag" style="width: 30px" >&nbsp;px</td>

                </tr>

                <!-- Slideshow border style -->
                <tr>

                    <td nowrap="nowrap"><label for="margintag"><?php _e("Container margin", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="margintag" name="margintag" style="width: 150px" ></td>

                </tr>

                <!-- Slideshow border color -->
                <tr>

                    <td nowrap="nowrap"><label for="backgroundcolortag"><?php _e("Container background", 'flickrSlideshow'); ?></label></td>

                    <td style="padding-left:10px;"><input type="text" id="backgroundcolortag" name="backgroundcolortag" style="width: 70px" > (eg. #eeeeee)</td>

                </tr>

            </table>

            <!-- Slideshow border defaults -->
            <p style="font-size: 10px;background-color:#eeeeee;color:#666666;border:1px solid #cccccc;border-bottom:0;padding:5px;margin-bottom:0;">
                Default slideshow containing DIV properties are:
            </p>

            <ul style="font-size:10px;background-color:#eeeeee;color:#666666;border:1px solid #cccccc;border-top:0;padding:5px;padding-top:0;margin:0;">
            	<li style="margin-left:20px;">Padding: <strong>10px</strong></li>
                <li style="margin-left:20px;">Margin: <strong>0 auto</strong></li>
                <li style="margin-left:20px;">Background color: <strong>#eeeeee</strong></li>
            </ul>

        </div>

		</div>
		<!-- end setID panel -->

	</div>

	<div class="mceActionPanel">
		<div style="float: left">
			<input style="font-size:10px;" type="button" id="cancel" name="cancel" value="<?php _e("Cancel", 'flickrSlideshow'); ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input style="font-size:10px;" type="submit" id="insert" name="insert" value="<?php _e("Add slideshow", 'flickrSlideshow'); ?>" onclick="insertflickrSlideshowLink();" />
		</div>

        <div style="clear:both;"></div>
	</div>
</form>
</body>
</html>
<?php ?>
